<?php
namespace FiloBlu\Refilo\Console\Command;

use FiloBlu\Refilo\Model\Exporter\ContentManager;
use Magento\Framework\Exception\LocalizedException;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Output\OutputInterface;

/**
 * Class SomeCommand
 */
class ImportContentType extends Command
{
    const NAME = 'name';
    /**
     * @var ContentManager
     */
    protected $contentManagerExporter;

    /**
     * ImportBlocks constructor.
     * @param ContentManager $contentManagerExporter
     * @param string $name
     */
    public function __construct(
        ContentManager $contentManagerExporter,
        string $name = null
    ) {
        $this->contentManagerExporter = $contentManagerExporter;
        parent::__construct($name);
    }

    /**
     * @inheritDoc
     */
    protected function configure()
    {
        $options = [
            new InputOption(
                self::NAME,
                null,
                InputOption::VALUE_REQUIRED,
                'Name'
            )
        ];

        $this->setName('refilo:sync:contenttype');
        $this->setDescription('Import Blackbird Contents');
        $this->setDefinition($options);

        parent::configure();
    }

    /**
     * Execute the command
     *
     * @param InputInterface $input
     * @param OutputInterface $output
     *
     * @return void
     */
    protected function execute(InputInterface $input, OutputInterface $output)
    {

        try {
            $this->contentManagerExporter->exportMasterData();
        } catch (LocalizedException $exception) {
            echo $exception->getMessage();
        }

    }
}
